Bug 3704 - SIP Checkin of not checked out item returns error without additional reason
Summary: SIP Checkin of not checked out item returns error without additional reason
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Colin Campbell
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-12 10:19 UTC by Chris Cormack
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
bug 3704 patch (1.43 KB, patch)
2011-09-13 10:09 UTC, Ulrich Kleiber
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:13:59 UTC


---- Reported by patrick.langer@easycheck.org 2009-10-12 10:19:48 ----

Checking in a not checked out item returns an error (which is correct) without giving a reason for the failure as screen_msg (aka AF field in SIP2) is empty.

Checkin in koha SIP is generally quite sparse when it comes to error handling and reasons for the failure of the checkin. Most times no screen_msg is filled which makes it hard for the self service terminal to display an understandable reason to the patron for the failure.

In this case I suggest to insert in SIP::ILS Checkin around row 183 right after
$circ->ok($item && $item->{patron});

if (!defined($item->{patron})) {
  $circ->screen_msg("Item  not checked out");
} else {
[rest of the transaction part]
}



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:13 UTC  ---

This bug was previously known as _bug_ 3704 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3704

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was patrick.langer@easycheck.org.

Comment 1 Ulrich Kleiber 2011-09-13 10:09:34 UTC
Created attachment 5414 [details] [review]
bug 3704 patch
Comment 2 Ian Walls 2011-09-22 01:51:40 UTC
Adds additional if/then conditional check around whether a patron is defined, and returns "Item not checked out" as a screen_msg if not.  Otherwise, proceed as normal.  Easy to read, marking as Passed QA
Comment 3 Chris Cormack 2011-09-22 15:49:42 UTC
Pushed, please test
Comment 4 Jared Camins-Esakov 2012-12-31 00:09:11 UTC
There have been no further reports of problems so I am marking this bug resolved.